/**
 * Protocols test
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.protocols.test.ejbs;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;


/**
 * @author Francois Waeselynck
 */
public interface MyService extends EJBObject {

	public long call(String s)throws RemoteException;

    public long callMetaData(String s) throws RemoteException;

    public Request call(Request r)throws RemoteException;

	public long optCall(String s)throws RemoteException;

	public Request optCall(Request r)throws RemoteException;

	public long optHomeCall(String s)throws RemoteException;

	public Request optHomeCall(Request r)throws RemoteException;
}
